Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Stub_Factory Class Reference

`#include <Stub_Factory.h>`

Inheritance diagram for TAO_Stub_Factory:

[legend]
Collaboration diagram for TAO_Stub_Factory:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_Stub_Factory (void)
virtual TAO_Stub * | create_stub (const char *repository_id, const TAO_MProfile &profiles, TAO_ORB_Core *orb_core ACE_ENV_ARG_DECL)=0
| Creates a Stub Object.

## Detailed Description

This class is a factory whose product is the plain TAO_Stub used by TAO. Its subclasses build Stub object that are specialization of the TAO_Stub. As an example TAO_RT_Stub_Factory creates RT_TAO_Stub. This factory, or one of its subclasses is dynamically plugged into the ORB_Core, and is used by the ORB_Core to create Stub Objects.

## Constructor & Destructor Documentation

TAO_Stub_Factory::~TAO_Stub_Factory | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual TAO_Stub* TAO_Stub_Factory::create_stub | ( | const char * | repository_id,
|  | const TAO_MProfile & | profiles,
|  | TAO_ORB_Core *orb_core | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| Creates a Stub Object. Implemented in TAO_Default_Stub_Factory.

The documentation for this class was generated from the following files:

- Stub_Factory.h
- Stub_Factory.cpp